/* ip3m_encap.h */
/* BEGIN_JOE_SUN, 8/19/97 */
/* The header file that defines the services */
/* ip3m_encap exports to other protocol module */

#ifndef _IP3M_ENCAP_H_
#define _IP3M_ENCAP_H_
typedef void * IpT_Encap_Protocol_Table_Handle;
typedef Boolean (*IpT_Encap_Protocol_Lookup_Proc) ( IpT_Encap_Protocol_Table_Handle, int /*table_size*/, char * /* protocol_string */);

typedef struct
	{
	IpT_Encap_Protocol_Table_Handle	table_handle;	/* Pass to the lookup procedure */
	int number_of_entries;
	IpT_Encap_Protocol_Lookup_Proc	protocol_lookup_proc;	/* Lookup to see if a protocol entity is connected to ip_encap */ 
	} IpT_Encap_Info;
#endif /* _IP_3M_ENCAP_H_ */
/* END_JOE_SUN */