/* udp_api.h */
/* Application Programmer's Interface		*/
/* definitions for the UDP example model.	*/

/****************************************/
/*		Copyright (c) 1987-1993			*/
/*			by MIL 3, Inc.				*/
/*		(A Delaware Corporation)		*/
/*	3400 International Drive,  N.W.		*/
/*		Washington, D.C., U.S.A.		*/
/*			All Rights Reserved.		*/
/****************************************/

/***** Includes *****/

/***** External Globals *****/

/***** Constants *****/

/* UDP command codes */
#define UDPC_COMMAND_CREATE_PORT		1
#define UDPC_COMMAND_SEND				2	
#define UDPC_COMMAND_RECEIVE			3	

/* Connection status indications. */
#define UDPC_IND_NONE					0
#define UDPC_IND_SUCCESS				1
#define UDPC_IND_EADDRINUSE				2

/* "Unspecified" codes. */
#define UDPC_STRM_INDEX_UNSPEC			0
#define UDPC_NET_UNSPEC					-1
#define UDPC_NODE_UNSPEC				-1
#define UDPC_PORT_UNSPEC				-1

/***** Typedefs *****/

/* UdpT_Port : UDP Port ID */
typedef int					UdpT_Port;

/***** Procdecs *****/

/***** Base Globals *****/

/***** Procedures *****/
